Environments - List Environments For User

Retrieve a list of environments (preview).
Returns a list of environments available for the authenticated user.

GET https://api.powerplatform.com/environmentmanagement/environments?api-version=2024-10-01
GET https://api.powerplatform.com/environmentmanagement/environments?ids={ids}&$filter={$filter}&$select={$select}&$top={$top}&$skip={$skip}&$orderby={$orderby}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

$filter
query

string

OData filter expression to restrict the set of environments returned. Supported filter properties include dataverseId, type, geo, state, environmentGroupId, and domainName.

$orderby
query

string

OData order-by expression for sorting the results.

$select
query

string

Comma-separated list of properties to include in the response.

$skip
query

integer

minimum: 0

Number of environments to skip before returning results.

$top
query

integer

minimum: 0

Maximum number of environments to return.

ids
query

string[]

Comma-separated list of environment IDs to retrieve. When specified, only environments matching these IDs are returned.

Responses

Name Type Description
200 OK

EnvironmentList

A list of environments.

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
EnterprisePolicies

The set of enterprise policies linked to the environment.

EnterprisePolicyLink

A link between the environment and an Azure enterprise policy resource.

EnterprisePolicyLinkStatus

The status of the link between an environment and an enterprise policy.

EnvironmentList
EnvironmentResponse
FinOpsMetadata

Metadata describing a linked FinOps environment.

Principal
RetentionDetails

The retention details of the environment.

EnterprisePolicies

The set of enterprise policies linked to the environment.

Name Type Description
encryption

EnterprisePolicyLink

A link between the environment and an Azure enterprise policy resource.

identity

EnterprisePolicyLink

A link between the environment and an Azure enterprise policy resource.

networkInjection

EnterprisePolicyLink

A link between the environment and an Azure enterprise policy resource.

privateEndpoint

EnterprisePolicyLink

A link between the environment and an Azure enterprise policy resource.

A link between the environment and an Azure enterprise policy resource.

Name Type Description
error

string

Error details when the link status is Failed.

id

string

The ID of the enterprise policy.

resourceId

string

The fully-qualified Azure resource ID of the enterprise policy.

status

EnterprisePolicyLinkStatus

The status of the link between an environment and an enterprise policy.

EnterprisePolicyLinkStatus

The status of the link between an environment and an enterprise policy.

Value Description
Linking
Unlinking
Linked
Failed
LinkingOnline
UnlinkingOnline

EnvironmentList

Name Type Description
@odata.nextlink

string (uri)

Opaque URL to retrieve the next page of results. Present only when additional pages are available.

value

EnvironmentResponse[]

EnvironmentResponse

Name Type Description
adminMode

string

Indicates whether admin-only mode is enabled or disabled for the environment.

azureRegion

string

The Azure region of the environment.

backgroundOperationsState

string

Indicates whether background operations are enabled or disabled for the environment.

clusterCategory

string

The cluster category the environment is in.

connectedGroupId

string

The ID of the AAD group connected to the environment.

createdBy

Principal

createdDateTime

string (date-time)

The creation date and time of the environment.

createdFor

Principal

dataverseId

string

The ID of the Dataverse database (organization) associated with the environment.

deletedDateTime

string (date-time)

The deletion date and time of the environment.

displayName

string

The display name of the environment.

domainName

string

The domain name of the Dataverse database associated with the environment.

enterprisePolicies

EnterprisePolicies

The set of enterprise policies linked to the environment.

environmentGroupId

string

The ID of the environment group to which this environment belongs.

finOpsMetadata

FinOpsMetadata

Metadata describing a linked FinOps environment.

geo

string

The geographical region of the environment.

id

string

The ID of the environment.

protectionLevel

string

The protection level applied to the environment.

retentionDetails

RetentionDetails

The retention details of the environment.

securityGroupId

string

The security group that controls access to the environment.

state

string

The current state of the environment.

tenantId

string

The ID of the tenant that the environment belongs to.

type

string

The type (SKU) of the environment.

url

string

The URL of the Dataverse database associated with the environment.

version

string

The version of the Dataverse database associated with the environment.

FinOpsMetadata

Metadata describing a linked FinOps environment.

Name Type Description
id

string

The linked FinOps environment ID.

type

string

The linked FinOps environment type.

url

string

The linked FinOps environment URL.

Principal

Name Type Description
displayName

string

email

string

id

string

tenantId

string

type

string

userPrincipalName

string

RetentionDetails

The retention details of the environment.

Name Type Description
availableFromDateTime

string (date-time)

The date and time from which the environment is available for recovery.

retentionPeriod

string

The retention period of the environment.